Subject: Re: bug#34606: Emacs colors are off in screen sessions

From: Stefan Kangas <[email-masked]>
Date: Wed, 3 Jul 2019 04:31:56 +0200

tags 34606 + notabug
close 34606
quit

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Thu, 21 Feb 2019 17:06:35 -0500
>>
>> Thanks, I understand a bit better.  Does that mean that there's a bug in the terminfo database for screen.xterm-256color that causes Emacs' request for a shade of yellow/orange to be displayed as bright red?
>
> No, I think the more probable cause is how the colors are configured
> in each terminal emulator, in this case 'screen'.
>
> The translation of a given TTY color to X RGB values are entirely
> controlled by how the terminal emulator is configured, hopefully this
> is customizable in some way and not hard-coded in the emulator's code.
> I suggest to dig into the docs of each emulator and perhaps search the
> net for pertinent keywords.  Or maybe asking on some relevant forum.

It doesn't look like there is much more to do here, so I'm closing this
as notabug.  If anyone disagrees, feel free to reopen.

Thanks,
Stefan Kangas